# Class HandledItemImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.e4.ui.model.application.impl.ApplicationElementImpl
org.eclipse.e4.ui.model.application.ui.impl.UIElementImpl
org.eclipse.e4.ui.model.application.ui.menu.impl.ItemImpl
org.eclipse.e4.ui.model.application.ui.menu.impl.HandledItemImpl

All Implemented Interfaces:
  `MApplicationElement, MHandledItem, MItem, MLocalizable, MUIElement, MUILabel, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject`

public abstract class HandledItemImpl extends ItemImpl implements MHandledItem
An implementation of the model object 'Handled Item'.

The following features are implemented:

- `Command`
- `Wb Command`
- `Parameters`

Since:
  1.0

## Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected MCommand`
`command`
The cached value of the '`Command`' reference.
`protected org.eclipse.emf.common.util.EList<MParameter>`
`parameters`
The cached value of the '`Parameters`' containment reference list.
`protected static final ParameterizedCommand`
`WB_COMMAND_EDEFAULT`
The default value of the '`Wb Command`' attribute.
`protected ParameterizedCommand`
`wbCommand`
The cached value of the '`Wb Command`' attribute.

### Fields inherited from class ItemImpl

`enabled, ENABLED_EDEFAULT, ICON_URI_EDEFAULT, iconURI, label, LABEL_EDEFAULT, LOCALIZED_LABEL_EDEFAULT, LOCALIZED_TOOLTIP_EDEFAULT, selected, SELECTED_EDEFAULT, tooltip, TOOLTIP_EDEFAULT, type, TYPE_EDEFAULT`

### Fields inherited from class UIElementImpl

`ACCESSIBILITY_PHRASE_EDEFAULT, accessibilityPhrase, CONTAINER_DATA_EDEFAULT, containerData, curSharedRef, LOCALIZED_ACCESSIBILITY_PHRASE_EDEFAULT, ON_TOP_EDEFAULT, onTop, renderer, RENDERER_EDEFAULT, TO_BE_RENDERED_EDEFAULT, toBeRendered, visible, VISIBLE_EDEFAULT, visibleWhen, widget, WIDGET_EDEFAULT`

### Fields inherited from class ApplicationElementImpl

`CONTRIBUTOR_URI_EDEFAULT, contributorURI, ELEMENT_ID_EDEFAULT, elementId, persistedState, tags, transientData`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`HandledItemImpl()`

## Method Summary

Modifier and Type
Method
Description
`MCommand`
`basicGetCommand()`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`MCommand`
`getCommand()`
`List<MParameter>`
`getParameters()`
`ParameterizedCommand`
`getWbCommand()`
`void`
`setCommand(MCommand newCommand)`
`void`
`setWbCommand(ParameterizedCommand newWbCommand)`
`String`
`toString()`

### Methods inherited from class ItemImpl

`eBaseStructuralFeatureID, eDerivedOperationID, eDerivedStructuralFeatureID, eInvoke, getIconURI, getLabel, getLocalizedLabel, getLocalizedTooltip, getTooltip, getType, isEnabled, isSelected, setEnabled, setIconURI, setLabel, setSelected, setTooltip, setType, updateLocalization`

### Methods inherited from class UIElementImpl

`basicGetCurSharedRef, basicSetParent, basicSetVisibleWhen, eBasicRemoveFromContainerFeature, eInverseAdd, getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget, toStringGen`

### Methods inherited from class ApplicationElementImpl

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface MItem

`getType, isEnabled, isSelected, setEnabled, setSelected, setType`

### Methods inherited from interface MLocalizable

`updateLocalization`

### Methods inherited from interface MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from interface MUILabel

`getIconURI, getLabel, getLocalizedLabel, getLocalizedTooltip, getTooltip, setIconURI, setLabel, setTooltip`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eNotify`

## Field Details

### command

protected MCommand command
The cached value of the '`Command`' reference.

See Also:
  - `getCommand()`

### WB_COMMAND_EDEFAULT

protected static final ParameterizedCommand WB_COMMAND_EDEFAULT
The default value of the '`Wb Command`' attribute.

See Also:
  - `getWbCommand()`
Restriction:

### wbCommand

protected ParameterizedCommand wbCommand
The cached value of the '`Wb Command`' attribute.

See Also:
  - `getWbCommand()`
Restriction:

### parameters

protected org.eclipse.emf.common.util.EList<MParameter> parameters
The cached value of the '`Parameters`' containment reference list.

See Also:
  - `getParameters()`

## Constructor Details

### HandledItemImpl

protected HandledItemImpl()

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `ItemImpl`

### getCommand

public MCommand getCommand()

Specified by:
  `getCommand` in interface `MHandledItem`
Returns:
  the value of the 'Command' reference.
See Also:
  - `MHandledItem.setCommand(MCommand)`

### basicGetCommand

public MCommand basicGetCommand()

### setCommand

public void setCommand(MCommand newCommand)

Specified by:
  `setCommand` in interface `MHandledItem`
Parameters:
  `newCommand` - the new value of the 'Command' reference.
See Also:
  - `MHandledItem.getCommand()`

### getWbCommand

public ParameterizedCommand getWbCommand()

Specified by:
  `getWbCommand` in interface `MHandledItem`
Returns:
  the value of the 'Wb Command' attribute.
See Also:
  - `MHandledItem.setWbCommand(ParameterizedCommand)`
Restriction:

### setWbCommand

public void setWbCommand(ParameterizedCommand newWbCommand)

Specified by:
  `setWbCommand` in interface `MHandledItem`
Parameters:
  `newWbCommand` - the new value of the 'Wb Command' attribute.
See Also:
  - `MHandledItem.getWbCommand()`
Restriction:

### getParameters

public List<MParameter> getParameters()

Specified by:
  `getParameters` in interface `MHandledItem`
Returns:
  the value of the 'Parameters' containment reference list.

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `UIElementImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `ItemImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `ItemImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `ItemImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `ItemImpl`

### toString

public String toString()

Overrides:
  `toString` in class `ItemImpl`